<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        * {
            margin: 0;
            padding: 0;
        }

        header {
            background-color: black;
            color: white;
            text-align: center;
            height: 50px;
            padding: 10px 0;
        }

        section {
            border: 2px solid blue;
            width: 500px;
            height: 200px;
            text-align: center;
            margin: auto;
            margin-top: 100px;

            display: flex;
            justify-content: center;
            align-content: center;
            align-items: center;
        }
    </style>
</head>

<body>
    <header>
        <h1>TASK REMAINDER</h1>
    </header>
    <section>
        <div>
            <label for="taskBar">ENTER TASK NAME</label>
            <input type="text" id="taskbar">
        </div>
        <div>
            <button id="btn">submit</button>
        </div>
    </section>
    <section>
        <ul id="list1">
            
        </ul>
    </section>
    <script>
        let buttonTag = document.getElementById('btn');
        buttonTag.addEventListener('click', () => {
            let newTask = document.getElementById('taskbar').value;
            let alltasks = localStorage.getItem('amit') ? JSON.parse(localStorage.getItem('amit')) : [];
            alltasks.push(newTask);
            localStorage.setItem('amit', JSON.stringify(alltasks));
            document.getElementById('taskbar').value = '';
            displayTask();

        });

        function displayTask() {
            let tasks = localStorage.getItem('amit') ? JSON.parse(localStorage.getItem('amit')) : [];
            let list2 = document.getElementById('list1');
            list2.innerHTML = '';
            let allList = '';
            for (let i = 0; i < tasks.length;i++) {
                allList += `<li><span>${tasks[i]}<button>x</button></li>`;

            }
            console
            list2.innerHTML = allList;
        };
        displayTask();
    </script>
</body>

</html>